'use strict';

module.exports = function (grunt) {

    // Load grunt tasks automatically
    require('load-grunt-tasks')(grunt);

    // Time how long tasks take. Can help when optimizing build times
    require('time-grunt')(grunt);

    var gtx = require('gruntfile-gtx').wrap(grunt);

    // Configurable paths for the application
    var appConfig = {
//        app: require('./bower.json').appPath || 'src/mbp',
        app: 'src/mbp',
        dist: 'dist/mbp',
        //landingpage:'src/landingpage',
        //support_template:'src/support'
    };

    // Define the configuration for all the tasks
    var gruntConfig = require('./grunt_tasks');
    gruntConfig.package = grunt.file.readJSON('./package.json'); // Grunt packages
    gruntConfig.config = appConfig; // Project settings

    // Set gtx config
    gtx.config(gruntConfig);

    // Load tasks
    gtx.loadNpm([
        'grunt-contrib-less',
        'grunt-contrib-watch',
        'grunt-ng-constant',
        'grunt-contrib-clean'
    ]);

    gtx.initConfig({
        clean: {
            css: ['dist/mbp/css/*.css', '!dist/mbp/css/*.min.css'],
            js: ['dist/mbp/scripts/*.js', '!dist/mbp/scripts/*.min.js']
        },
        ngconstant: {
            options: {
                space: ' ',
                //deps: ['dep1', 'dep2'],
                dest: 'dist/mbp/scripts/app.constant.js',
                name: 'configApp'
            },
            dist: {
                constants: {
                    'RESOURCES': {
                        'PRODUCTION': true,
                    },
                }
            }
        },
    })
    gtx.alias('build:angular', ['copy:angular','concat:angular','cssmin:angular','uglify:angular','processhtml:angular', 'clean', 'ngconstant']); // Build the app

    // End
    gtx.finalise();

};